Skip to main content
GET
Read Dispute

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

The dispute ID.

Response

Successful Response

Schema representing a dispute.

A dispute is a challenge raised by a customer or their bank regarding a payment.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

id
string<uuid4>
required

The stable identifier for this record.

status
enum<string>
required

Status of the dispute. prevented means we issued a refund before the dispute was escalated, avoiding any fees.

Available options:
prevented,
early_warning,
needs_response,
under_review,
lost,
won
Examples:

"needs_response"

"prevented"

resolved
boolean
required

Whether the dispute has been resolved (won or lost).

Example:

false

closed
boolean
required

Whether the dispute is closed (prevented, won, or lost).

Example:

false

amount
integer
required

Amount in cents disputed.

Example:

1000

tax_amount
integer
required

Tax amount in cents disputed.

Example:

200

currency
string
required

Currency code of the dispute.

Example:

"usd"

reason
string | null
required

The reason for the dispute as reported by the card network (e.g. fraudulent, product_not_received). None until the processor reports it.

Example:

"fraudulent"

evidence_due_by
string<date-time> | null
required

Deadline to submit evidence in response to the dispute. None when no response is required.

past_due
boolean
required

Whether the evidence submission deadline has passed.

Example:

false

order_id
string<uuid4>
required

The ID of the order associated with the dispute.

Example:

"57107b74-8400-4d80-a2fc-54c2b4239cb3"

payment_id
string<uuid4>
required

The ID of the payment associated with the dispute.

Example:

"42b94870-36b9-4573-96b6-b90b1c99a353"

customer
DisputeCustomer · object
required

The customer who was charged for the disputed payment.

case_id
string<uuid4> | null
required

The ID of the support case for this dispute, if one was opened.